Debian Bug report logs - #492731
does ship bytecompiled Python files

version graph

Package: rubber; Maintainer for rubber is Hilmar Preu├če <hille42@web.de>; Source for rubber is src:rubber.

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Mon, 28 Jul 2008 14:21:01 UTC

Severity: serious

Found in version rubber/1.1-2.1

Fixed in version rubber/1.1-2.2

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Emmanuel Beffara <manu@beffara.org>:
Bug#492731; Package rubber. Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to Emmanuel Beffara <manu@beffara.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: does ship bytecompiled Python files
Date: Mon, 28 Jul 2008 16:18:50 +0200
Package: rubber
Version: 1.1-2.1
Severity: serious

Our Python policy states: "the bytecompiled modules must not be
shipped with the package", however, rubber ships .pyc files.
This seems to be a regression of the NMU, as the version in
stable (1.1-2) did not include those files.

Btw. the Depends "texlive-latex-base | tetex-bin" is wrong for
lenny as tetex-* are only transitional packages. rubber would
not work with tetex-* while the Dependency is fulfilled.

While I'm at it: Homepage is still pseudo, see policy 5.6.23.




Information forwarded to debian-bugs-dist@lists.debian.org, Emmanuel Beffara <manu@beffara.org>:
Bug#492731; Package rubber. Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Emmanuel Beffara <manu@beffara.org>. Full text and rfc822 format available.

Message #10 received at 492731@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 492731@bugs.debian.org
Subject: NMU to fix .pyc bug
Date: Thu, 7 Aug 2008 16:33:13 -0400
[Message part 1 (text/plain, inline)]
NMU Diff attached.
[nmu.debdiff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "W. Martin Borgert" <debacle@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 492731-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 492731-close@bugs.debian.org
Subject: Bug#492731: fixed in rubber 1.1-2.2
Date: Thu, 07 Aug 2008 20:47:02 +0000
Source: rubber
Source-Version: 1.1-2.2

We believe that the bug you reported is fixed in the latest version of
rubber, which is due to be installed in the Debian FTP archive:

rubber_1.1-2.2.diff.gz
  to pool/main/r/rubber/rubber_1.1-2.2.diff.gz
rubber_1.1-2.2.dsc
  to pool/main/r/rubber/rubber_1.1-2.2.dsc
rubber_1.1-2.2_all.deb
  to pool/main/r/rubber/rubber_1.1-2.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated rubber package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 07 Aug 2008 15:07:42 -0400
Source: rubber
Binary: rubber
Architecture: source all
Version: 1.1-2.2
Distribution: unstable
Urgency: medium
Maintainer: Emmanuel Beffara <manu@beffara.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 rubber     - an automated system for building LaTeX documents
Closes: 492731
Changes: 
 rubber (1.1-2.2) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * Incorporate Ubuntu changes to remove byte compiled (.pyc) files
     (Closes: #492731)
     - debian/control
       + Add python-support depends
       + Add XS/XB-Python-Version
     - debian/rules
       + add call to dh_pysupport
       + change install target to delete the pyc before packaging
   * Update standards version to 3.8.0
     - Move hompage to its own field in debian/control
   * Quote filenames in rules/latex/__init__.py to stop crashes on files with
     spaces in the filename
Checksums-Sha1: 
 059585797cb868da259b594c79612ca4e08a465a 1098 rubber_1.1-2.2.dsc
 1f3e1780e3fc136bce80d75f7be20fb9c42d5bac 4175 rubber_1.1-2.2.diff.gz
 1a66977a14bd38a79cc06ab11d96fdeb973b25a2 84650 rubber_1.1-2.2_all.deb
Checksums-Sha256: 
 8bada689af89e29905633dfadac45b21fa38d0f2be44c1fa366ea2676b49915f 1098 rubber_1.1-2.2.dsc
 6eaf2a046dd4ca00b3cca67967fa46ad01a3ed5172a493944f4a058f35bd6179 4175 rubber_1.1-2.2.diff.gz
 f57a9bcf0fe98571e3af197febe14edeae5262ae16c7780e71fe91994fea4fe6 84650 rubber_1.1-2.2_all.deb
Files: 
 a206b54ecd59781d095a12c020611702 1098 tex optional rubber_1.1-2.2.dsc
 22ed77401d0077adb00f9b9518f611c5 4175 tex optional rubber_1.1-2.2.diff.gz
 d9fe4e509e005a1f7c14b1399469c8b1 84650 tex optional rubber_1.1-2.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkibWq8ACgkQB01zfu119Zk1HQCfZjwxM8+B6irTzdUvi2nBXxFt
l0cAn3wI+18dX5y4pVGeopOMs77z7FQc
=1FsU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Sep 2008 07:27:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:23:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.